aberration(3)

NAME
aberration - Aberration

SYNOPSIS

  Functions
void ln_get_equ_aber (struct ln_equ_posn *mean_position, double JD, struct ln_equ_posn *position)
Calculate equatorial coordinates with the effects of aberration.
void ln_get_ecl_aber (struct ln_lnlat_posn *mean_position, double JD, struct ln_lnlat_posn *position)
Calculate ecliptical coordinates with the effects of aberration.

Detailed Description

Aberration: need a description.

All angles are expressed in degrees.

Function Documentation

  void ln_get_ecl_aber (struct ln_lnlat_posn * mean_position, double JD, struct ln_lnlat_posn * position)

Calculate ecliptical coordinates with the effects of aberration.

Parameters
    mean_position Mean position of object
    JD Julian Day
    position Pointer to store new object position.

Calculate a stars ecliptical coordinates from it's mean ecliptical coordinates with the effects of aberration and nutation for a given Julian Day.

References ln_helio_posn::B, ln_lnlat_posn::lat, ln_deg_to_rad(), ln_get_solar_geom_coords(), ln_rad_to_deg(), and ln_lnlat_posn::lng.

  void ln_get_equ_aber (struct ln_equ_posn * mean_position, double JD, struct ln_equ_posn * position)

Calculate equatorial coordinates with the effects of aberration.

Parameters
    mean_position Mean position of object
    JD Julian Day
    position Pointer to store new object position.

Calculate a stars equatorial coordinates from it's mean equatorial coordinates with the effects of aberration and nutation for a given Julian Day.

References ln_equ_posn::dec, ln_deg_to_rad(), ln_rad_to_deg(), and ln_equ_posn::ra.

Referenced by ln_get_apparent_posn().

Author

Generated automatically by Doxygen for libnova from the source code.